## 132688900271986774.zip

=== navalplan/doc/src/technical/guia-desenvolvemento/Makefile ===
#
# Makefile
# Adrian Perez, 2009-05-15 11:20
#

RST_HTML_FLAGS = --link-stylesheet --stylesheet-path=html/lsr.css
RST_TEX_FLAGS  = --documentclass=igaliabk --font-encoding=OT1 --output-encoding-error-handler backslashreplace
OUTPUT_BASE    = output

rst_srcs   := $(filter-out index.rst,$(wildcard *.rst))
html_pages := $(patsubst %.rst,html/%.html,$(rst_srcs)) html/index.html

svg_images := $(wildcard images/*.svg)
png_images := $(patsubst %.svg,%.png,$(svg_images)) $(wildcard images/*.png)

utildir := ../../../tools/

# Main targets
#
all: html pdf
pdf: pdf/$(OUTPUT_BASE).pdf
ebook: pdf/$(OUTPUT_BASE).ebook.pdf
html: $(html_pages)
png: $(png_images)

.PHONY: html pdf ebook png

### Xavi

all_img := $(wildcard images/*)
build_images :=

src_images := $(wildcard images/*)
html_images := $(patsubst %,html/%,$(src_images))
pdf_images  := $(patsubst %,pdf/%,$(src_images))

$(html_images): html/images/%: images/%
	$P copy-img $@
	$Q mkdir -p $(@D)
	$Q cp $< $@

$(pdf_images):	pdf/images/%: images/%
	$P copy-img $@
	$Q mkdir -p $(@D)
	$Q cp $< $@

$(main_pdf): $(pdf_imges)



### End Xavi


# Cleanup targets
#
clean:
	$P clean pdf
	$Q $(RM) -r pdf/
	$P clean html
	$Q $(RM) -r html/
	$Q $(RM) index.rst

# Copy CSS file
#
html/lsr.css: lsr.css
	$P copy $@
	$Q mkdir -p $(@D)
	$Q cp $< $@

$(html_pages): html/lsr.css $(html_images)


# Top-level RST creation for the PDF
#
pdf/$(OUTPUT_BASE).rst: $(rst_srcs) docinfo
	$P toplevel $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool toplevel --info=docinfo $(rst_srcs) > $@

pdf/$(OUTPUT_BASE).pdf pdf/$(OUTPUT_BASE).ebook.pdf: $(png_images)

# Index page creation for the HTML output
#
index.rst: $(rst_srcs) docinfo
	$P htmlindex $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool htmlindex --info=docinfo $(rst_srcs) > $@


# Implicit rules
#
html/%.html: %.rst
	$P rst2html $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool rst2html $(RST_HTML_FLAGS) $< $@

%.tex: %.rst
	$P rst2latex $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool rst2latex $(RST_TEX_FLAGS) $< $@

%.ebook.tex: %.rst
	$P rst2ebook $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool rst2ebook $(RST_TEX_FLAGS) $< $@

%.pdf: %.tex
	$P pdflatex $@
	$Q cd $(@D) && TEXINPUTS=.:$(CURDIR): pdflatex $(PDFLATEX_FLAGS) $(CURDIR)/$<
	$Q cd $(@D) && TEXINPUTS=.:$(CURDIR): pdflatex $(PDFLATEX_FLAGS) $(CURDIR)/$<

%.trim.png: %.svg
	$P svg2png $@
	$Q inkscape --without-gui --export-png=$@ --export-area-canvas --export-dpi=150 $<

%.png: %.trim.png
	$P png-trim $@
	$Q convert -trim $< $@

# Avoid removing intermediate .tex files and similar things.
#
.SECONDARY:

# Control operation verboseness
#
ifeq ($(origin V),command line)
  verbose := $(V)
endif
ifndef verbose
  verbose := 0
endif

ifeq ($(verbose),0)
  P = @printf '[1;32m * [0;0m%-10s [1;33m%s[0;0m\n'
  Q = @
  PDFLATEX_FLAGS += -interaction batchmode
else
  P = @:
endif

# Check for the U= command line argument
#
ifeq ($(origin U),command line)
  utildir := $(U)
endif
ifndef utildir
  utildir := $(CURDIR)
endif


# vim:ft=make
#

=== navalplan/doc/src/training-exercises/es/Makefile ===
#
# Makefile
# Adrian Perez, 2009-05-15 11:20
#

RST_HTML_FLAGS = --link-stylesheet --stylesheet-path=html/lsr.css
RST_TEX_FLAGS  = --documentclass=igaliabk --font-encoding=OT1
OUTPUT_BASE    = output

rst_srcs   := $(filter-out index.rst,$(wildcard *.rst))
html_pages := $(patsubst %.rst,html/%.html,$(rst_srcs)) html/index.html

svg_images := $(wildcard images/*.svg)
png_images := $(patsubst %.svg,%.png,$(svg_images)) $(wildcard images/*.png)

utildir := ../../../tools/

# Main targets
#
all: html pdf
pdf: pdf/$(OUTPUT_BASE).pdf
ebook: pdf/$(OUTPUT_BASE).ebook.pdf
html: $(html_pages)
png: $(png_images)

.PHONY: html pdf ebook png

### Xavi

all_img := $(wildcard images/*)
build_images :=

src_images := $(wildcard images/*)
html_images := $(patsubst %,html/%,$(src_images))
pdf_images  := $(patsubst %,pdf/%,$(src_images))

$(html_images): html/images/%: images/%
	$P copy-img $@
	$Q mkdir -p $(@D)
	$Q cp $< $@

$(pdf_images):	pdf/images/%: images/%
	$P copy-img $@
	$Q mkdir -p $(@D)
	$Q cp $< $@

$(main_pdf): $(pdf_imges)



### End Xavi


# Cleanup targets
#
clean:
	$P clean pdf
	$Q $(RM) -r pdf/
	$P clean html
	$Q $(RM) -r html/
	$Q $(RM) index.rst

# Copy CSS file
#
html/lsr.css: lsr.css
	$P copy $@
	$Q mkdir -p $(@D)
	$Q cp $< $@

$(html_pages): html/lsr.css $(html_images)


# Top-level RST creation for the PDF
#
pdf/$(OUTPUT_BASE).rst: $(rst_srcs) docinfo
	$P toplevel $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool toplevel --info=docinfo $(rst_srcs) > $@

pdf/$(OUTPUT_BASE).pdf pdf/$(OUTPUT_BASE).ebook.pdf: $(png_images)

# Index page creation for the HTML output
#
index.rst: $(rst_srcs) docinfo
	$P htmlindex $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool htmlindex --info=docinfo $(rst_srcs) > $@


# Implicit rules
#
html/%.html: %.rst
	$P rst2html $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool rst2html $(RST_HTML_FLAGS) $< $@

%.tex: %.rst
	$P rst2latex $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool rst2latex $(RST_TEX_FLAGS) $< $@

%.ebook.tex: %.rst
	$P rst2ebook $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool rst2ebook $(RST_TEX_FLAGS) $< $@

%.pdf: %.tex
	$P pdflatex $@
	$Q cd $(@D) && TEXINPUTS=.:$(CURDIR): pdflatex $(PDFLATEX_FLAGS) $(CURDIR)/$<
	$Q cd $(@D) && TEXINPUTS=.:$(CURDIR): pdflatex $(PDFLATEX_FLAGS) $(CURDIR)/$<

%.trim.png: %.svg
	$P svg2png $@
	$Q inkscape --without-gui --export-png=$@ --export-area-canvas --export-dpi=150 $<

%.png: %.trim.png
	$P png-trim $@
	$Q convert -trim $< $@

# Avoid removing intermediate .tex files and similar things.
#
.SECONDARY:

# Control operation verboseness
#
ifeq ($(origin V),command line)
  verbose := $(V)
endif
ifndef verbose
  verbose := 0
endif

ifeq ($(verbose),0)
  P = @printf '[1;32m * [0;0m%-10s [1;33m%s[0;0m\n'
  Q = @
  PDFLATEX_FLAGS += -interaction batchmode
else
  P = @:
endif

# Check for the U= command line argument
#
ifeq ($(origin U),command line)
  utildir := $(U)
endif
ifndef utildir
  utildir := $(CURDIR)
endif


# vim:ft=make
#

=== navalplan/doc/src/user/en/Makefile ===
#
# Makefile
# Adrian Perez, 2009-05-15 11:20
#

RST_HTML_FLAGS = --link-stylesheet --stylesheet-path=html/lsr.css
RST_TEX_FLAGS  = --documentclass=igaliabk --font-encoding=OT1  --output-encoding=utf-8
OUTPUT_BASE    = output

rst_srcs   := $(filter-out index.rst,$(wildcard *.rst))
html_pages := $(patsubst %.rst,html/%.html,$(rst_srcs)) html/index.html

svg_images := $(wildcard images/*.svg)
png_images := $(patsubst %.svg,%.png,$(svg_images)) $(wildcard images/*.png)

utildir := ../../../tools/

# Main targets
#
all: html pdf
pdf: pdf/$(OUTPUT_BASE).pdf
ebook: pdf/$(OUTPUT_BASE).ebook.pdf
html: $(html_pages)
png: $(png_images)

.PHONY: html pdf ebook png

### Xavi

all_img := $(wildcard images/*)
build_images :=

src_images := $(wildcard images/*)
html_images := $(patsubst %,html/%,$(src_images))
pdf_images  := $(patsubst %,pdf/%,$(src_images))

$(html_images): html/images/%: images/%
	$P copy-img $@
	$Q mkdir -p $(@D)
	$Q cp $< $@

$(pdf_images):	pdf/images/%: images/%
	$P copy-img $@
	$Q mkdir -p $(@D)
	$Q cp $< $@

$(main_pdf): $(pdf_imges)



### End Xavi


# Cleanup targets
#
clean:
	$P clean pdf
	$Q $(RM) -r pdf/
	$P clean html
	$Q $(RM) -r html/
	$Q $(RM) index.rst

# Copy CSS file
#
html/lsr.css: lsr.css
	$P copy $@
	$Q mkdir -p $(@D)
	$Q cp $< $@

$(html_pages): html/lsr.css $(html_images)


# Top-level RST creation for the PDF
#
pdf/$(OUTPUT_BASE).rst: $(rst_srcs) docinfo
	$P toplevel $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool toplevel --info=docinfo $(rst_srcs) > $@

pdf/$(OUTPUT_BASE).pdf pdf/$(OUTPUT_BASE).ebook.pdf: $(png_images)

# Index page creation for the HTML output
#
index.rst: $(rst_srcs) docinfo
	$P htmlindex $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool htmlindex --info=docinfo $(rst_srcs) > $@


# Implicit rules
#
html/%.html: %.rst
	$P rst2html $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool rst2html $(RST_HTML_FLAGS) $< $@

%.tex: %.rst
	$P rst2latex $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool rst2latex $(RST_TEX_FLAGS) $< $@

%.ebook.tex: %.rst
	$P rst2ebook $@
	$Q mkdir -p $(@D)
	$Q $(utildir)/doctool rst2ebook $(RST_TEX_FLAGS) $< $@

%.pdf: %.tex
	$P pdflatex $@
	$Q cd $(@D) && TEXINPUTS=.:$(CURDIR): pdflatex $(PDFLATEX_FLAGS) $(CURDIR)/$<
	$Q cd $(@D) && TEXINPUTS=.:$(CURDIR): pdflatex $(PDFLATEX_FLAGS) $(CURDIR)/$<

%.trim.png: %.svg
	$P svg2png $@
	$Q inkscape --without-gui --export-png=$@ --export-area-canvas --export-dpi=150 $<

%.png: %.trim.png
	$P png-trim $@
	$Q convert -trim $< $@

# Avoid removing intermediate .tex files and similar things.
#
.SECONDARY:

# Control operation verboseness
#
ifeq ($(origin V),command line)
  verbose := $(V)
endif
ifndef verbose
  verbose := 0
endif

ifeq ($(verbose),0)
  P = @printf '[1;32m * [0;0m%-10s [1;33m%s[0;0m\n'
  Q = @
  PDFLATEX_FLAGS += -interaction batchmode
else
  P = @:
endif

# Check for the U= command line argument
#
ifeq ($(origin U),command line)
  utildir := $(U)
endif
ifndef utildir
  utildir := $(CURDIR)
endif


# vim:ft=make
#

=== navalplan/contrib/cutycapt/debian/changelog ===
cutycapt (20110107-2) lenny lucid maverick; urgency=low

  * Changing command to use "cutycapt" instead of "CutyCapt".

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Fri, 06 Jun 2011 19:34:22 +0200

cutycapt (20110107-1) lenny squeeze intrepid karmic lucid maverick; urgency=low

  * Updated to NavalPlan package naming.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Fri, 07 Jan 2011 10:35:17 +0100

cutycapt (20110104.1) lenny squeeze intrepid karmic lucid maverick; urgency=low

  * Fixed debian/rules thanks to a patch by Adrian Perez <aperez@igalia.com>.
  * Fixed several things in debian/control thanks to Alberto García
    <agarcia@igalia.com> comments.
  * Added debian/copyright file.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Mon, 04 Jan 2011 12:43:00 +0100

cutycapt (20110104) lenny squeeze intrepid karmic lucid maverick; urgency=low

  * Fixed build depedency on debian/control.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Mon, 04 Jan 2011 10:40:00 +0100

cutycapt (20110103) lenny squeeze intrepid karmic lucid maverick; urgency=low

  * Updated to upstream.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Mon, 03 Jan 2011 16:51:12 +0100

cutycapt (20100108) lenny squeeze intrepid karmic; urgency=low

  * Initial packaged release.

 -- Adrian Perez <aperez@igalia.com>  Fri, 08 Jan 2009 12:25:00 +0200

=== navalplan/debian/changelog ===
navalplan (1.1.3-1) maverick; urgency=low

  * Fixed important issue in Gantt view for big projects with labels.
  * Added bugs fixed from stable branch.
  * Released version 1.1.3.

 -- Manuel Rego Casasnovas <rego@igalia.com>  Fri, 12 Aug 2011 13:08:00 +0200

navalplan (1.1.2-1) maverick; urgency=low

  * Fixed critical bug that causes concurrency issues editing projects with
    labels.
  * Added bugs fixed from stable branch.
  * Released version 1.1.2.

 -- Manuel Rego Casasnovas <rego@igalia.com>  Wed, 18 Jul 2011 13:23:00 +0200

navalplan (1.1.1-1) maverick; urgency=low

  * Changed dependency from OpenJDK to default-jdk or default-jre.
  * Added bugs fixed from stable branch.
  * Released version 1.1.1.

 -- Manuel Rego Casasnovas <rego@igalia.com>  Wed, 07 Jun 2011 09:15:00 +0200

navalplan (1.1.0-1) maverick; urgency=low

  * Removed unnecessary dependency with texlive-latex-recommended and pgf
    packages.
  * Fixed issue in package upgrade removing webapp directory to force
    redeploy.
  * Released version 1.1.0.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Wed, 19 Apr 2011 07:50:00 +0200

navalplan (1.0.6-1) maverick; urgency=low

  * Several important bugs fixed during 1.1 stabilization.
  * Released version 1.0.6.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Tue, 27 Apr 2011 11:49:00 +0200

navalplan (1.0.5-1) maverick; urgency=low

  * Added bugs fixed from stable branch.
  * Released version 1.0.5.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Fri, 08 Apr 2011 11:20:46 +0200

navalplan (1.0.4-1) maverick; urgency=low

  * Added bugs fixed from stable branch.
  * Released version 1.0.4.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Thu, 17 Mar 2011 12:27:47 +0100

navalplan (1.0.3-1) maverick; urgency=low

  * Added bugs fixed from stable branch.
  * Released version 1.0.3.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Mon, 14 Feb 2011 07:23:58 +0100

navalplan (1.0.2-1) maverick; urgency=low

  * Fixed database installation script.
  * Added bugfixed from stable branch.
  * Released version 1.0.2.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Fri, 21 Jan 2011 12:07:33 +0100

navalplan (1.0.1-1) maverick; urgency=low

  * Added dependency with ttf-freefont on Debian package (needed for Jasper
    reports).
  * Added bugfixed from stable branch.
  * Released version 1.0.1.

 -- Manuel Rego Casasnovas <mrego@erizana>  Fri, 14 Jan 2011 09:58:33 +0100

navalplan (1.0.0-1) maverick; urgency=low

  * Updated to upstream. Released version 1.0.
  * Added upgrade script needed to upgrade to version 1.0.
  * Added debian/rules specific for debian squeeze.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Tue, 07 Jan 2011 16:45:00 +0100

navalplan (0.9.2-3) maverick; urgency=low

  * Added missing postgresql dependency.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Tue, 07 Jan 2011 10:00:00 +0100

navalplan (0.9.2-2) maverick; urgency=low

  * Added postgresql-client dependency needed because of dbconfig.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Tue, 05 Jan 2011 16:12:00 +0100

navalplan (0.9.2-1) maverick; urgency=low

  * Updated to upstream.
  * Fixed issues on debian package.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Tue, 04 Jan 2011 15:58:19 +0100

navalplan (0.9.1) maverick; urgency=low

  * Updated to upstream.
  * Fixed problems with translations.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Thu, 23 Dec 2010 00:14:54 +0100

navalplan (0.9.0) maverick; urgency=low

  * Updated to upstream.
  * Fixed issues with context.xml file.
  * Added libpg-java dependency.
  * Started to use SQL scripts to install database.

 -- Manuel Rego Casasnovas <mrego@igalia.com>  Tue, 21 Dec 2010 17:31:08 +0100

navalplan (20100908) lucid; urgency=low

  * Updated to upstream.

 -- Jose Maria Casanova Crespo (Chema) <jmcasanova@igalia.com>  Wed, 8 Sep 2010 00:00:00 +0000

navalplan (20100415) karmic; urgency=low

  * Updated to upstream.

 --  Jose Maria Casanova Crespo (Chema) <jmcasanova@igalia.com>  Thu, 15 Mar 2010 14:30:00 +0000

navalplan (20100324) karmic; urgency=low

  * Initial release.

 -- Adrian Perez <aperez@igalia.com>  Wed, 24 Mar 2010 16:35:00 +0000

=== navalplan/contrib/cutycapt/debian/control ===
Source: cutycapt
Section: web
Priority: optional
Maintainer: Adrian Perez <aperez@igalia.com>
Build-Depends: debhelper (>= 7.0.50), libqt4-dev, libqtwebkit-dev
Standards-Version: 3.9.1
Homepage: http://cutycapt.sourceforge.net/

Package: cutycapt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Captures web pages to files in different formats.
 CutyCapt is a small cross-platform command-line utility to capture
 WebKit's rendering of a web page into a variety of vector and bitmap
 formats, including SVG, PDF, PS, PNG, JPEG, TIFF, GIF, and BMP. See
 IECapt for a similar tool based on Internet Explorer.

=== navalplan/debian/control ===
Source: navalplan
Section: web
Priority: optional
Maintainer: Adrian Perez <aperez@igalia.com>
Build-Depends: debhelper (>= 7.0.50), maven2, python-docutils,
 gettext (>= 0.17), default-jdk
Standards-Version: 3.8.4
Homepage: http://www.navalplan.org/en/

Package: navalplan
Architecture: any
Depends: cutycapt, postgresql, postgresql-client, xvfb, dbconfig-common, ucf,
 tomcat6, default-jre-headless | default-jre, libpg-java, ttf-freefont,
 ${misc:Depends}
Description: Web application for project management.
 NavalPlan is a planning tool for users based on some concepts: company and
 multi-project overview, criteria assignments, tasks tagging, resources
 management, resource allocation (specific and generic), company load control,
 external integration, etc.
 .
 Although its name is clearly related to shipbuilding, NavalPlan is a fully
 useful planning tool for any type of company whose workflow requires project
 and order administration and scheduling.

=== navalplan/contrib/cutycapt/debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh --buildsystem=qmake $@

override_dh_auto_install:
	install -g root -o root -m 755 -d       $(CURDIR)/debian/cutycapt/usr/bin
	install -g root -o root -m 755 CutyCapt $(CURDIR)/debian/cutycapt/usr/bin/cutycapt

=== navalplan/debian/rules ===
#! /usr/bin/make -f

#export DH_VRBOSE=1
export DH_OPTIONS
export CURDIR

MAKEFLAGS  += s
JAVA_HOME  := /usr/lib/jvm/java-6-openjdk

MAVEN_REPO := $(CURDIR)/debian/maven-repo
MAVEN_OPTS := -Pprod,postgresql,-liquibase-update \
              -DdataSource.jndiName=java:comp/env/jdbc/navalplan-ds \
	      -Dmaven.test.skip=true -B \
              -s $(CURDIR)/debian/maven-settings.xml


define NFO
@echo "[1;32m$1[0;0m"
endef

ifneq ($V,0)
define CMD
@echo "[1;1m$1[0;0m"
@$1
endef
else
define CMD
@$1
endef
endif


configure: configure-stamp
configure-stamp:
	$(call NFO,Configuring...)
	$(call CMD,dh_testdir)
	# Configure package here
	$(call CMD,touch $@)

build: build-arch

build-arch: build-arch-stamp

build-arch-stamp: configure-stamp 
	$(call NFO,Building sources...)
	# Build arch-dependant stuff
	$(call CMD,mkdir -p $(MAVEN_REPO))
	$(call CMD,mvn $(MAVEN_OPTS) install)
	$(call CMD,touch $@)

clean:
	$(call NFO,Cleaning up...)
	$(call CMD,dh_testdir)
	$(call CMD,dh_testroot)
	# Cleanup commands
	$(call CMD,$(RM) build-arch-stamp build-indep-stamp configure-stamp)
	$(call CMD,mkdir -p $(MAVEN_REPO))
	# This is likely to fail, e.g. needs to be reviewed
	-$(call CMD,mvn $(MAVEN_OPTS) -npu clean)
	$(call CMD,$(RM) -r $(CURDIR)/maven-repo)
	$(call CMD,dh_clean)

install:
	$(call NFO,Installing objects...)
	$(call CMD,dh_testdir)
	$(call CMD,dh_testroot)
	$(call CMD,dh_clean -k)
	$(call CMD,dh_installdirs)
	# Copy SQL installation file
	$(call CMD,mkdir -p $(CURDIR)/debian/tmp/usr/share/dbconfig-common/data/navalplan/install/)
	$(call CMD,cp $(CURDIR)/scripts/database/install.sql \
		$(CURDIR)/debian/tmp/usr/share/dbconfig-common/data/navalplan/install/pgsql)
	# Commands to install arch-dependant stuff
	$(call CMD,mkdir -p $(CURDIR)/debian/tmp/var/lib/tomcat6/webapps/)
	$(call CMD,cp $(CURDIR)/navalplanner-webapp/target/navalplanner-webapp.war \
		$(CURDIR)/debian/tmp/var/lib/tomcat6/webapps/navalplan.war)
	# Copy SQL upgrade script for version 1.0.0
	$(call CMD,mkdir -p $(CURDIR)/debian/tmp/usr/share/dbconfig-common/data/navalplan/upgrade/pgsql/)
	$(call CMD,cp $(CURDIR)/scripts/database/upgrade_1.0.0.sql \
		$(CURDIR)/debian/tmp/usr/share/dbconfig-common/data/navalplan/upgrade/pgsql/1.0.0)
	# Copy SQL upgrade script for version 1.1.0
	$(call CMD,cp $(CURDIR)/scripts/database/upgrade_1.1.0.sql \
		$(CURDIR)/debian/tmp/usr/share/dbconfig-common/data/navalplan/upgrade/pgsql/1.1.0)
	# Install Policy file
	$(call CMD,mkdir -p $(CURDIR)/debian/tmp/etc/tomcat6/policy.d)
	$(call CMD,cp $(CURDIR)/debian/51navalplan.policy \
		$(CURDIR)/debian/tmp/etc/tomcat6/policy.d/)
	# Link Java PostgreSQL library
	$(call CMD,mkdir -p $(CURDIR)/debian/tmp/usr/share/tomcat6/lib)
	$(call CMD,ln -sf /usr/share/java/postgresql-jdbc3.jar $(CURDIR)/debian/tmp/usr/share/tomcat6/lib)
	$(call CMD,dh_install)

binary-indep: build install

binary-arch: build install
	$(call NFO,Making binary package...)
	$(call CMD,dh_testdir)
	$(call CMD,dh_testroot)
	$(call CMD,dh_installchangelogs)
	$(call CMD,dh_installdocs)
	$(call CMD,dh_installexamples)
# $(call CMD,dh_installmenu)
	$(call CMD,dh_installdebconf)
# $(call CMD,dh_installlogrotate)
# $(call CMD,dh_installemacsen)
# $(call CMD,dh_installpam)
# $(call CMD,dh_installmime)
# $(call CMD,dh_python)
# $(call CMD,dh_installinit)
# $(call CMD,dh_installcron)
# $(call CMD,dh_installinfo)
	$(call CMD,dh_installman)
	$(call CMD,dh_link)
	$(call CMD,dh_strip)
	$(call CMD,dh_compress)
	$(call CMD,dh_fixperms)
# $(call CMD,dh_perl)
	$(call CMD,dh_makeshlibs)
	$(call CMD,dh_installdeb)
	$(call CMD,dh_shlibdeps)
	$(call CMD,dh_gencontrol)
	$(call CMD,dh_md5sums)
	$(call CMD,dh_builddeb)

binary: binary-indep binary-arch


.PHONY: build clean binary-indep binary-arch binary install install-indep
.PHONY: install-arch configure
